- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | Static Protected Attributes | Friends

# QScreen Class Reference

Search for all occurrences

## Detailed Description

Definition at line 191 of file qscreen_qws.h.

`#include <qscreen_qws.h>`

Inheritance diagram for QScreen:
[legend]

List of all members.

## Public Types
enum | ClassId { LinuxFBClass, TransformedClass, VNCClass, MultiClass, VFbClass, DirectFBClass, SvgalibClass, ProxyClass, GLClass, CustomClass = 1024 }
enum | PixelType { NormalPixel, BGRPixel }
## Public Member Functions
| QScreen (int display_id, ClassId classId)
| QScreen (int display_id)
virtual | ~QScreen ()
virtual bool | initDevice ()=0
virtual bool | connect (const QString &displaySpec)=0
virtual void | disconnect ()=0
virtual void | shutdownDevice ()
virtual void | setMode (int, int, int)=0
virtual bool | supportsDepth (int) const
virtual void | save ()
virtual void | restore ()
virtual void | blank (bool on)
virtual int | pixmapOffsetAlignment ()
virtual int | pixmapLinestepAlignment ()
virtual int | sharedRamSize (void *)
virtual bool | onCard (const unsigned char *) const
virtual bool | onCard (const unsigned char *, ulong &out_offset) const
virtual void | set (unsigned int, unsigned int, unsigned int, unsigned int)
virtual int | alloc (unsigned int, unsigned int, unsigned int)
int | width () const
int | height () const
int | depth () const
virtual int | pixmapDepth () const
PixelType | pixelType () const
int | linestep () const
int | deviceWidth () const
int | deviceHeight () const
uchar * | base () const
virtual uchar * | cache (int)
virtual void | uncache (uchar *)
QImage::Format | pixelFormat () const
int | screenSize () const
int | totalSize () const
QRgb * | clut ()
int | colorCount ()
virtual QSize | mapToDevice (const QSize &) const
virtual QSize | mapFromDevice (const QSize &) const
virtual QPoint | mapToDevice (const QPoint &, const QSize &) const
virtual QPoint | mapFromDevice (const QPoint &, const QSize &) const
virtual QRect | mapToDevice (const QRect &, const QSize &) const
virtual QRect | mapFromDevice (const QRect &, const QSize &) const
virtual QImage | mapToDevice (const QImage &) const
virtual QImage | mapFromDevice (const QImage &) const
virtual QRegion | mapToDevice (const QRegion &, const QSize &) const
virtual QRegion | mapFromDevice (const QRegion &, const QSize &) const
virtual int | transformOrientation () const
virtual bool | isTransformed () const
virtual bool | isInterlaced () const
virtual void | setDirty (const QRect &)
virtual int | memoryNeeded (const QString &)
virtual void | haltUpdates ()
virtual void | resumeUpdates ()
virtual void | exposeRegion (QRegion r, int changing)
virtual void | blit (const QImage &img, const QPoint &topLeft, const QRegion &region)
virtual void | solidFill (const QColor &color, const QRegion &region)
void | blit (QWSWindow *bs, const QRegion &clip)
virtual QWSWindowSurface * | createSurface (QWidget *widget) const
virtual QWSWindowSurface * | createSurface (const QString &key) const
virtual QList< QScreen * > | subScreens () const
virtual QRegion | region () const
int | subScreenIndexAt (const QPoint &p) const
void | setOffset (const QPoint &p)
QPoint | offset () const
int | physicalWidth () const
int | physicalHeight () const
QPixmapDataFactory * | pixmapDataFactory () const
QGraphicsSystem * | graphicsSystem () const
ClassId | classId () const
## Static Public Member Functions
static QScreen * | instance ()
## Protected Member Functions
void | setPixelFormat (QImage::Format format)
void | setPixmapDataFactory (QPixmapDataFactory *factory)
void | setGraphicsSystem (QGraphicsSystem *system)
## Protected Attributes
QRgb | screenclut [256]
int | screencols
uchar * | data
QPoolEntry * | entries
int * | entryp
unsigned int * | lowest
int | w
int | lstep
int | h
int | d
PixelType | pixeltype
bool | grayscale
int | dw
int | dh
int | size
int | mapsize
int | displayId
int | physWidth
int | physHeight
## Static Protected Attributes
static ClearCacheFunc | clearCacheFunc
## Friends
class | QWSServer
class | QWSServerPrivate
class | QWSOnScreenSurface
class | QVNCScreen
class | QLinuxFbScreen
class | QVFbScreen
class | QProxyScreen
void | qt_solidFill_setup (QScreen *, const QColor &, const QRegion &)
void | qt_blit_setup (QScreen *screen, const QImage &image, const QPoint &topLeft, const QRegion &region)

## Member Enumeration Documentation

enum ClassId

Search for all occurrences

Enumerator:

  LinuxFBClass | Search for all occurrences
  TransformedClass | Search for all occurrences
  VNCClass | Search for all occurrences
  MultiClass | Search for all occurrences
  VFbClass | Search for all occurrences
  DirectFBClass | Search for all occurrences
  SvgalibClass | Search for all occurrences
  ProxyClass | Search for all occurrences
  GLClass | Search for all occurrences
  CustomClass | Search for all occurrences

Definition at line 194 of file qscreen_qws.h.

                     { LinuxFBClass, TransformedClass, VNCClass, MultiClass,
                       VFbClass, DirectFBClass, SvgalibClass, ProxyClass,
                       GLClass, CustomClass = 1024 };

enum PixelType

Search for all occurrences

Enumerator:

  NormalPixel | Search for all occurrences
  BGRPixel | Search for all occurrences

Definition at line 220 of file qscreen_qws.h.

    { NormalPixel, BGRPixel };

## Constructor & Destructor Documentation

QScreen | ( | int | display_id,
|  | ClassId | classId
| ) |  |

QScreen | ( | int | display_id | ) | `[explicit]`

virtual ~QScreen | ( |  | ) | `[virtual]`

## Member Function Documentation

static QScreen* instance | ( |  | ) | `[inline, static]`

Search for all occurrences

Definition at line 201 of file qscreen_qws.h.

    { return qt_screen; }

virtual bool initDevice | ( |  | ) | `[pure virtual]`

Search for all occurrences

Implemented in QLinuxFbScreen, QProxyScreen, QQnxScreen, and QVFbScreen.

virtual bool connect | ( | const QString & | displaySpec | ) | `[pure virtual]`

Search for all occurrences

Implemented in QLinuxFbScreen, QProxyScreen, QQnxScreen, QTransformedScreen, and QVFbScreen.

virtual void disconnect | ( |  | ) | `[pure virtual]`

Search for all occurrences

Implemented in QLinuxFbScreen, QProxyScreen, QQnxScreen, and QVFbScreen.

virtual void shutdownDevice | ( |  | ) | `[virtual]`

Search for all occurrences

Reimplemented in QLinuxFbScreen, QProxyScreen, QQnxScreen, and QVFbScreen.

virtual void setMode | ( | int | ,
|  | int | ,
|  | int |
| ) |  | `[pure virtual]`

Search for all occurrences

Implemented in QLinuxFbScreen, QProxyScreen, QQnxScreen, and QVFbScreen.

virtual bool supportsDepth | ( | int |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented in QProxyScreen, and QQnxScreen.

virtual void save | ( |  | ) | `[virtual]`

Search for all occurrences

Reimplemented in QLinuxFbScreen, QProxyScreen, and QVFbScreen.

virtual void restore | ( |  | ) | `[virtual]`

Search for all occurrences

Reimplemented in QLinuxFbScreen, QProxyScreen, and QVFbScreen.

virtual void blank | ( | bool | on | ) | `[virtual]`

Search for all occurrences

Reimplemented in QLinuxFbScreen, QProxyScreen, and QVFbScreen.

virtual int pixmapOffsetAlignment | ( |  | ) | `[inline, virtual]`

Search for all occurrences

Definition at line 213 of file qscreen_qws.h.

    { return 64; }

virtual int pixmapLinestepAlignment | ( |  | ) | `[inline, virtual]`

Search for all occurrences

Definition at line 214 of file qscreen_qws.h.

    { return 64; }

virtual int sharedRamSize | ( | void * |  | ) | `[inline, virtual]`

Search for all occurrences

Reimplemented in QLinuxFbScreen, and QProxyScreen.

Definition at line 215 of file qscreen_qws.h.

    { return 0; }

virtual bool onCard | ( | const unsigned char * |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented in QProxyScreen.

virtual bool onCard | ( | const unsigned char * | ,
|  | ulong & | out_offset
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented in QProxyScreen.

virtual void set | ( | unsigned | int,
|  | unsigned | int,
|  | unsigned | int,
|  | unsigned | int
| ) |  | `[virtual]`

Search for all occurrences

Reimplemented in QLinuxFbScreen.

virtual int alloc | ( | unsigned | int,
|  | unsigned | int,
|  | unsigned | int
| ) |  | `[virtual]`

Search for all occurrences

int width | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 227 of file qscreen_qws.h.

    { return w; }

int height | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 228 of file qscreen_qws.h.

    { return h; }

int depth | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 229 of file qscreen_qws.h.

    { return d; }

virtual int pixmapDepth | ( |  | ) | const `[virtual]`

Search for all occurrences

PixelType pixelType | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 231 of file qscreen_qws.h.

    { return pixeltype; }

int linestep | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 232 of file qscreen_qws.h.

    { return lstep; }

int deviceWidth | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 233 of file qscreen_qws.h.

    { return dw; }

int deviceHeight | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 234 of file qscreen_qws.h.

    { return dh; }

uchar* base | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 235 of file qscreen_qws.h.

    { return data; }

virtual uchar* cache | ( | int |  | ) | `[inline, virtual]`

Search for all occurrences

Reimplemented in QLinuxFbScreen.

Definition at line 237 of file qscreen_qws.h.

    { return 0; }

virtual void uncache | ( | uchar * |  | ) | `[inline, virtual]`

Search for all occurrences

Reimplemented in QLinuxFbScreen.

Definition at line 238 of file qscreen_qws.h.

    {}

QImage::Format pixelFormat | ( |  | ) | const

Search for all occurrences

int screenSize | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 242 of file qscreen_qws.h.

    { return size; }

int totalSize | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 243 of file qscreen_qws.h.

    { return mapsize; }

QRgb* clut | ( |  | ) | `[inline]`

Search for all occurrences

Definition at line 245 of file qscreen_qws.h.

    { return screenclut; }

int colorCount | ( |  | ) | `[inline]`

Search for all occurrences

Definition at line 249 of file qscreen_qws.h.

    { return screencols; }

virtual QSize mapToDevice | ( | const QSize & |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented in QProxyScreen, and QTransformedScreen.

virtual QSize mapFromDevice | ( | const QSize & |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented in QProxyScreen, and QTransformedScreen.

virtual QPoint mapToDevice | ( | const QPoint & | ,
|  | const QSize & |
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented in QProxyScreen, and QTransformedScreen.

virtual QPoint mapFromDevice | ( | const QPoint & | ,
|  | const QSize & |
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented in QProxyScreen, and QTransformedScreen.

virtual QRect mapToDevice | ( | const QRect & | ,
|  | const QSize & |
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented in QProxyScreen, and QTransformedScreen.

virtual QRect mapFromDevice | ( | const QRect & | ,
|  | const QSize & |
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented in QProxyScreen, and QTransformedScreen.

virtual QImage mapToDevice | ( | const QImage & |  | ) | const `[virtual]`

Search for all occurrences

virtual QImage mapFromDevice | ( | const QImage & |  | ) | const `[virtual]`

Search for all occurrences

virtual QRegion mapToDevice | ( | const QRegion & | ,
|  | const QSize & |
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented in QProxyScreen, and QTransformedScreen.

virtual QRegion mapFromDevice | ( | const QRegion & | ,
|  | const QSize & |
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented in QProxyScreen, and QTransformedScreen.

virtual int transformOrientation | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented in QProxyScreen, and QTransformedScreen.

virtual bool isTransformed | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented in QProxyScreen, and QTransformedScreen.

virtual bool isInterlaced | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented in QProxyScreen.

virtual void setDirty | ( | const QRect & |  | ) | `[virtual]`

Search for all occurrences

Reimplemented in QLinuxFbScreen, QProxyScreen, QTransformedScreen, and QVFbScreen.

virtual int memoryNeeded | ( | const QString & |  | ) | `[virtual]`

Search for all occurrences

Reimplemented in QProxyScreen.

virtual void haltUpdates | ( |  | ) | `[virtual]`

Search for all occurrences

Reimplemented in QProxyScreen.

virtual void resumeUpdates | ( |  | ) | `[virtual]`

Search for all occurrences

Reimplemented in QProxyScreen.

virtual void exposeRegion | ( | QRegion | r,
|  | int | changing
| ) |  | `[virtual]`

Search for all occurrences

Reimplemented in QProxyScreen, QQnxScreen, and QTransformedScreen.

virtual void blit | ( | const QImage & | img,
|  | const QPoint & | topLeft,
|  | const QRegion & | region
| ) |  | `[virtual]`

Search for all occurrences

Reimplemented in QProxyScreen, and QTransformedScreen.

virtual void solidFill | ( | const QColor & | color,
|  | const QRegion & | region
| ) |  | `[virtual]`

Search for all occurrences

Reimplemented in QProxyScreen, and QTransformedScreen.

void blit | ( | QWSWindow * | bs,
|  | const QRegion & | clip
| ) |  |

Search for all occurrences

virtual QWSWindowSurface* createSurface | ( | QWidget * | widget | ) | const `[virtual]`

Search for all occurrences

Reimplemented in QProxyScreen.

virtual QWSWindowSurface* createSurface | ( | const QString & | key | ) | const `[virtual]`

Search for all occurrences

Reimplemented in QProxyScreen.

virtual QList<QScreen*> subScreens | ( |  | ) | const `[inline, virtual]`

Search for all occurrences

Reimplemented in QProxyScreen.

Definition at line 283 of file qscreen_qws.h.

    { return QList<QScreen*>(); }

virtual QRegion region | ( |  | ) | const `[inline, virtual]`

Search for all occurrences

Reimplemented in QProxyScreen, and QTransformedScreen.

Definition at line 284 of file qscreen_qws.h.

    { return QRect(offset(), QSize(w, h)); }

int subScreenIndexAt | ( | const QPoint & | p | ) | const

Search for all occurrences

void setOffset | ( | const QPoint & | p | ) |

Search for all occurrences

QPoint offset | ( |  | ) | const

Search for all occurrences

int physicalWidth | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 290 of file qscreen_qws.h.

    { return physWidth; }   // physical display size in mm

int physicalHeight | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 291 of file qscreen_qws.h.

    { return physHeight; } // physical display size in mm

QPixmapDataFactory* pixmapDataFactory | ( |  | ) | const

Search for all occurrences

QGraphicsSystem* graphicsSystem | ( |  | ) | const

Search for all occurrences

ClassId classId | ( |  | ) | const

Search for all occurrences

void setPixelFormat | ( | QImage::Format | format | ) | `[protected]`

Search for all occurrences

void setPixmapDataFactory | ( | QPixmapDataFactory * | factory | ) | `[protected]`

Search for all occurrences

void setGraphicsSystem | ( | QGraphicsSystem * | system | ) | `[protected]`

Search for all occurrences

## Friends And Related Function Documentation

friend class QWSServer `[friend]`

Search for all occurrences

Definition at line 342 of file qscreen_qws.h.

friend class QWSServerPrivate `[friend]`

Search for all occurrences

Definition at line 343 of file qscreen_qws.h.

friend class QWSOnScreenSurface `[friend]`

Search for all occurrences

Definition at line 351 of file qscreen_qws.h.

friend class QVNCScreen `[friend]`

Search for all occurrences

Definition at line 357 of file qscreen_qws.h.

friend class QLinuxFbScreen `[friend]`

Search for all occurrences

Definition at line 358 of file qscreen_qws.h.

friend class QVFbScreen `[friend]`

Search for all occurrences

Definition at line 359 of file qscreen_qws.h.

friend class QProxyScreen `[friend]`

Search for all occurrences

Definition at line 360 of file qscreen_qws.h.

void qt_solidFill_setup | ( | QScreen * | ,
|  | const QColor & | ,
|  | const QRegion & |
| ) |  | `[friend]`

Search for all occurrences

void qt_blit_setup | ( | QScreen * | screen,
|  | const QImage & | image,
|  | const QPoint & | topLeft,
|  | const QRegion & | region
| ) |  | `[friend]`

Search for all occurrences

## Member Data Documentation

QRgb screenclut[256] `[protected]`

Search for all occurrences

Definition at line 308 of file qscreen_qws.h.

int screencols `[protected]`

Search for all occurrences

Definition at line 309 of file qscreen_qws.h.

uchar* data `[protected]`

Search for all occurrences

Definition at line 311 of file qscreen_qws.h.

QPoolEntry* entries `[protected]`

Search for all occurrences

Definition at line 320 of file qscreen_qws.h.

int* entryp `[protected]`

Search for all occurrences

Definition at line 321 of file qscreen_qws.h.

unsigned int* lowest `[protected]`

Search for all occurrences

Definition at line 322 of file qscreen_qws.h.

int w `[protected]`

Search for all occurrences

Definition at line 324 of file qscreen_qws.h.

int lstep `[protected]`

Search for all occurrences

Definition at line 325 of file qscreen_qws.h.

int h `[protected]`

Search for all occurrences

Definition at line 326 of file qscreen_qws.h.

int d `[protected]`

Search for all occurrences

Definition at line 327 of file qscreen_qws.h.

PixelType pixeltype `[protected]`

Search for all occurrences

Definition at line 328 of file qscreen_qws.h.

bool grayscale `[protected]`

Search for all occurrences

Definition at line 329 of file qscreen_qws.h.

int dw `[protected]`

Search for all occurrences

Definition at line 331 of file qscreen_qws.h.

int dh `[protected]`

Search for all occurrences

Definition at line 332 of file qscreen_qws.h.

int size `[protected]`

Search for all occurrences

Definition at line 334 of file qscreen_qws.h.

int mapsize `[protected]`

Search for all occurrences

Definition at line 335 of file qscreen_qws.h.

int displayId `[protected]`

Search for all occurrences

Definition at line 337 of file qscreen_qws.h.

int physWidth `[protected]`

Search for all occurrences

Definition at line 339 of file qscreen_qws.h.

int physHeight `[protected]`

Search for all occurrences

Definition at line 340 of file qscreen_qws.h.

ClearCacheFunc clearCacheFunc `[static, protected]`

Search for all occurrences

Definition at line 344 of file qscreen_qws.h.

The documentation for this class was generated from the following file:

- QtGui/qscreen_qws.h

QScreen QScreen QScreen QScreen QScreen QScreen QScreen QScreen QScreen QScreen
QScreen QScreen QScreen QScreen QScreen QScreen QScreen QScreen QScreen QScreen